ruby-on-rails - remove - ruby on rails run migrations



Significado de “Valor predeterminado esperado de cadena para…” en Ruby on Rails (1)

Esto me sucedió con Rails 5.0.0.1 y ruby ​​2.2.0 cuando realicé una bundle update . No tiene nada que ver ni con Rails ni con Ruby, sino que se debió a la actualización de la gema thor (que es una dependencia de jquery-rails, entre otras) de 0.19.1 a 0.19.4.

La degradación a 0.19.3 no lo solucionó. 0.19.2 arrojó otros errores. Bajando a 0.19.1 finalmente lo arregló.

Entonces agregando esto a tu Gemfile:

gem 'thor', '0.19.1'

y la ejecución de la bundle update thor debería deshacerse de esto hasta que los encargados de mantenimiento puedan resolverlo. (Actualización: problema Github )

Recientemente he creado una aplicación para Ruby (2.3.3) en Rails (5.0.0.1):

$ rails _5.0.0.1_ new myapp --database=postgresql -T

Después de configurar el Gemfile y probar la conectividad a mis bases de datos:

$ rails db:migrate

He intentado generar modelos pero recibí mensajes extraños:

$ rails g model Competition title:string
Expected string default value for '--test-framework'; got false (boolean)
Expected string default value for '--jbuilder'; got true (boolean)
Expected string default value for '--test-framework'; got false (boolean)
      invoke  active_record
      create    db/migrate/20161206021603_create_competitions.rb
      create    app/models/competition.rb

¿Cuál es el significado de estos mensajes sobre "Valor predeterminado esperado de cadena para ..." ?

Gracias por adelantado.

ACTUALIZACIÓN : Mi Gemfile

source 'https://rubygems.org'

ruby '2.3.3'

gem 'rails', '~> 5.0.0', '>= 5.0.0.1'
gem 'pg', '~> 0.18'
gem 'puma', '~> 3.0'
gem 'sass-rails', '~> 5.0'
gem 'uglifier', '>= 1.3.0'
gem 'coffee-rails', '~> 4.2'
gem 'jquery-rails'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.5'

gem 'jquery-turbolinks'
gem 'groupdate'
gem 'hightop'
gem 'countries'
gem 'faker'
gem 'haml'
gem 'haml-rails'

group :development, :test do
    gem 'byebug', platform: :mri
    gem 'better_errors'
    gem 'binding_of_caller'
    gem 'pry-byebug'
    gem 'awesome_print'
    gem 'irbtools-more', require: 'irbtools/binding'
    gem 'listen'
end




rails-migrations